#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( tqt )

set( TQT_MAJOR_VERSION 3 )
set( TQT_MINOR_VERSION 5 )
set( TQT_MICRO_VERSION 13 )
set( TQT_VERSION "${TQT_MAJOR_VERSION}.${TQT_MINOR_VERSION}.${TQT_MICRO_VERSION}" )


##### cmake setup ###############################

cmake_minimum_required( VERSION 3.1 )

include( CheckCXXSourceCompiles )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### install paths setup #######################

tde_setup_install_path( EXEC_INSTALL_PREFIX   "${CMAKE_INSTALL_PREFIX}" )
tde_setup_install_path( BIN_INSTALL_DIR       "${EXEC_INSTALL_PREFIX}/bin"  )
tde_setup_install_path( LIB_INSTALL_DIR       "${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX}" )
tde_setup_install_path( INCLUDE_INSTALL_DIR   "${CMAKE_INSTALL_PREFIX}/include/tqt" )
tde_setup_install_path( PKGCONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/pkgconfig" )


##### optional stuff ############################

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )

option( WITH_QT3 "Build TQt interface based on Qt3" ${WITH_ALL_OPTIONS} )
option( WITH_QT4 "Build TQt interface based on Qt4" OFF )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )


##### configure checks ##########################

include( ConfigureChecks.cmake )


##### tqtinterface sources ######################

add_subdirectory( qtinterface )
